﻿using Kivii.DataAnnotations;
using System;

namespace Kivii.Finances.Entities
{
    [Api(Description = "发票抬头")]
    [Alias(Configs.TableNameInvoiceTitle)]
    public class InvoiceTitle:Entity, IEntityInAssemblyDb
    {
        #region 关联信息Biz 内部设置
        [IgnoreUpdate]
        [DefaultEmptyGuid]
        public Guid BizKvid { get; set; }

        [ApiMember(Description = "业务流水号")]
        [IgnoreUpdate]
        [StringLength(200)]
        public string BizId { get; set; }

        [ApiMember(Description = "业务类型")]
        [IgnoreUpdate]
        [StringLength(100)]
        public string BizType { get; set; }
        #endregion

        [ApiMember(Description = "公司名称")]
        [StringLength(50), Required,Unique]
        public string CompanyName { get; set; }

        [ApiMember(Description = "税号")]
        [StringLength(30), Default("")]
        public string TaxNumber { get; set; }

        [ApiMember(Description = "公司地址")]
        [StringLength(200),Default("")]
        public string CompanyAddress { get; set; }

        [ApiMember(Description = "电话号码")]
        [StringLength(50),Default("")]
        public string Phone { get; set; }

        [ApiMember(Description = "开户银行")]
        [StringLength(50)]
        public string BankName { get; set; }

        [ApiMember(Description = "银行账户")]
        [StringLength(50), Default("")]
        public string BankAccount { get; set; }

    }
}
